using System.Collections.Generic;

namespace Aurora.Cursor
{
    public class CursorResult<T>
    {
        public CursorResult()
        {
            Result = new List<T>();
        }

        public CursorResult(CursorResult<T> cpy)
        {
            NextPageToken = cpy.NextPageToken;
            PrevPageToken = cpy.PrevPageToken;
            Result = cpy.Result;
            Count = cpy.Count;
        }

        public string NextPageToken { get; set; }
        public string PrevPageToken { get; set; }
        public List<T> Result { get; set; }
        public int Count { get; set; }
    }
}
